import request from "@/utils/request"

// 分页查询项目库
export function jProject(params) {
  return request({
    url: "/jjh/jProject",
    method: "get",
    params
  })
}
// 根据主键查询单个项目库
export function jProjectId(id) {
  return request({
    url: "/jjh/jProject/" + id,
    method: "get",
  })
}
// 删除单个项目
export function jProjectDel(params) {
  return request({
    url: "/jjh/jProject",
    method: "delete",
    params
  })
}


/**
 * 备忘录
 */
// 分页查询所有数据
export function getJMemorandum(params) {
  return request({
    url: "/jjh/jMemorandum",
    method: "get",
    params
  })
}
// 未使用分页
export function getJMemorandumList(params) {
  return request({
    url: "/jjh/jMemorandum/getIdToList",
    method: "get",
    params
  })
}
// id查询单条数据
export function getJMemorandumId(id) {
  return request({
    url: "/jjh/jMemorandum/" + id,
    method: "get",
  })
}
// 新建备忘录
export function postJMemorandum(data) {
  return request({
    url: "/jjh/jMemorandum",
    method: "post",
    data
  })
}
// 修改备忘录
export function putJMemorandum(data) {
  return request({
    url: "/jjh/jMemorandum",
    method: "put",
    data
  })
}
// 删除备忘录
export function delJMemorandum(params) {
  return request({
    url: "/jjh/jMemorandum",
    method: "delete",
    params
  })
}